MWAWTextParser Class Reference documentation

Public Member Functions | Protected Member Functions | List of all members
MWAWTextParser Class Referenceabstract

virtual class which defines the ancestor of all text zone parser More...

`#include <MWAWParser.hxx>`

Inheritance diagram for MWAWTextParser:

## Public Member Functions
| ~MWAWTextParser () override
| destructor More...
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
virtual bool | checkHeader (MWAWHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not) More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
| MWAWTextParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr const &state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Detailed Description

virtual class which defines the ancestor of all text zone parser

## Constructor & Destructor Documentation

## ◆ ~MWAWTextParser()

MWAWTextParser::~MWAWTextParser | ( |  | ) |
| override

destructor

## ◆ MWAWTextParser() [1/2]

MWAWTextParser::MWAWTextParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |
| inlineprotected

constructor (protected)

## ◆ MWAWTextParser() [2/2]

MWAWTextParser::MWAWTextParser | ( | MWAWParserStatePtr const & | state | ) |
| inlineexplicitprotected

constructor using a state

## Member Function Documentation

## ◆ parse()

virtual void MWAWTextParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

virtual function used to parse the input

Implemented in ZWrtParser, WriterPlsParser, WriteNowParser, TeachTxtParser, StyleParser, RagTimeParser, RagTime5Parser, NisusWrtParser, MsWrdParser, MsWrd1Parser, MsWksParser, MouseWrtParser, MoreParser, MindWrtParser, MaxWrtParser, MarinerWrtParser, MacWrtProParser, MacWrtParser, MacDocParser, LightWayTxtParser, JazzWriterParser, HanMacWrdKParser, HanMacWrdJParser, GreatWksParser, FullWrtParser, EDocParser, DocMkrParser, ClarisWksParser, BeagleWksParser, and ActaParser.

The documentation for this class was generated from the following files:

- MWAWParser.hxx
- MWAWParser.cxx